//
//  ContainerViewController.m
//  TableViewTest
//
//  Created by Brian Bledsoe on 12/11/12.
//  Copyright (c) 2012 Brian Bledsoe. All rights reserved.
//

#import "ContainerViewController.h"

@interface ContainerViewController ()

@end

@implementation ContainerViewController
@synthesize containerView, blueButton, greenBar, tableViewController, half;


- (id) init {
    self = [super initWithNibName:nil bundle:nil];
    if (self) {
        // Custom initialization
        [[self view] setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2, [[UIScreen mainScreen] bounds].size.width, [[UIScreen mainScreen] bounds].size.height/2)];
        [[self view] setBackgroundColor:[UIColor whiteColor]];
        tableViewController = [[TableViewTestViewController alloc] initWithStyle:UITableViewStylePlain];
        [[tableViewController tableView] setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2, [[UIScreen mainScreen] bounds].size.width, [[UIScreen mainScreen] bounds].size.height/2 - 20)];
    
        blueButton = [[UIButton alloc] initWithFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2 - 20, 320, 20)];
        [blueButton setBackgroundColor:[UIColor blueColor]];
        [blueButton addTarget:self action:@selector(toggleTable) forControlEvents:UIControlEventTouchUpInside];
        
        greenBar = [[UIView alloc] initWithFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2, 320, 60)];
        [greenBar setBackgroundColor:[UIColor greenColor]];
        
        [[self view] addSubview:blueButton];
        [[self view] addSubview:greenBar];
        [[self view] addSubview:[tableViewController tableView]];
        
        half = true;
    }
    return self;
}

- (void) toggleTable {
    
    if(half){
      
        [UIView beginAnimations:@"animateFull" context:nil];
        [UIView setAnimationDuration:0.2];
        [UIView setAnimationCurve:UIViewAnimationCurveEaseIn];
        
        [[containerView view] setFrame:CGRectMake(0, 0, 320, [[UIScreen mainScreen] bounds].size.height)];
        [blueButton setFrame:CGRectMake(0, 0, 320, 20)];
        [greenBar setFrame:CGRectMake(0, 20, 320, 60)];
        [[tableViewController tableView] setFrame:CGRectMake(0, 80, 320, [[UIScreen mainScreen] bounds].size.height - 80)];
        
        [UIView commitAnimations];
        
        half = false;
   
    } else {

        [UIView beginAnimations:@"animateHalf" context:nil];
        [UIView setAnimationDuration:0.2];
        [UIView setAnimationCurve:UIViewAnimationCurveEaseIn];
        
        [[containerView view] setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2, 320, [[UIScreen mainScreen] bounds].size.height/2)];
        [blueButton setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2 - 20, 320, 20)];
        [greenBar setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2 + 20, 320, 60)];
        [[tableViewController tableView] setFrame:CGRectMake(0, [[UIScreen mainScreen] bounds].size.height/2, 320, [[UIScreen mainScreen] bounds].size.height/2 -20)];
        
        [UIView commitAnimations];
        
     //   [[containerView view] bringSubviewToFront:[tableViewController tableView]];
        half = true;
    }
}


- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
